val syntax_error : string -> string -> 'a
val handle_syntax_error : ('a -> 'b) -> 'a -> 'b

val parse_command : in_channel -> string * string * string
val parse_request :
  in_channel -> (string * string * string) * (string * string) list
val parse_header : in_channel -> (string * string) list
val parse_response : in_channel -> (int * string) * (string * string) list
val parse_chunk : in_channel -> int
val parse_crlf : in_channel -> unit
val tokenize : string -> string list
